Package writer2latex.xhtml

# Class TextStyleConverter

java.lang.Object
writer2latex.xhtml.StyleConverterHelper
writer2latex.xhtml.StyleWithPropertiesConverterHelper
writer2latex.xhtml.TextStyleConverter

public class TextStyleConverter extends StyleWithPropertiesConverterHelper
This class converts OpenDocument text styles to CSS2 styles. This includes conversion of text properties in other styles (paragraph, cell, graphic and presentation styles).

- TODO: Support CJK and CTL
- TODO: Support style:use-window-font-color ("automatic color")
- TODO: Support style:font-charset (other encoding)
- TODO: Support style:font-size-rel
- TODO: Support text:display and text:condition

## Field Summary

### Fields inherited from class writer2latex.xhtml.StyleConverterHelper

`bConvertHard, bConvertStyles, nType, styleMap, styleNames`

## Constructor Summary

Constructors
Constructor
Description
`TextStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)`
Create a new `TextStyleConverter`

## Method Summary

Modifier and Type
Method
Description
`void`
`applyAnchorStyle(String sStyleName, String sVisitedStyleName, StyleInfo info)`
Apply a link style, using a combination of two text styles
`void`
`applyProperties(StyleWithProperties style, CSVList props, boolean bInherit)`
Convert formatting properties for a specific text style.
`void`
`cssText(StyleWithProperties style, CSVList props, boolean bInherit)`
`void`
`cssTextBackground(StyleWithProperties style, CSVList props, boolean bInherit)`
`void`
`cssTextCommon(StyleWithProperties style, CSVList props, boolean bInherit)`
`String`
`getDefaultTagName(StyleWithProperties style)`
Create default tag name to represent a text
`String`
`getStyleDeclarations(String sIndent)`
Convert style information for used styles
`OfficeStyleFamily`
`getStyles()`
Get the family of text (character) styles

### Methods inherited from class writer2latex.xhtml.StyleWithPropertiesConverterHelper

`applyStyle, getClassNamePrefix`

### Methods inherited from class writer2latex.xhtml.StyleConverterHelper

`applyDirection, applyLang, colScale, scale`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextStyleConverter

public TextStyleConverter(OfficeReader ofr, XhtmlConfig config, Converter converter, int nType)
Create a new `TextStyleConverter`

Parameters:
  `ofr` - an `OfficeReader` to read style information from
  `config` - the configuration to use
  `converter` - the main `Converter` class
  `nType` - the type of XHTML to use

## Method Details

### applyAnchorStyle

public void applyAnchorStyle(String sStyleName, String sVisitedStyleName, StyleInfo info)
Apply a link style, using a combination of two text styles

Parameters:
  `sStyleName` - name of the OpenDocument style
  `sVisitedStyleName` - name of the OpenDocument style for visited links
  `info` - the `StyleInfo` object to add information to

### getStyleDeclarations

public String getStyleDeclarations(String sIndent)

Convert style information for used styles

Overrides:
  `getStyleDeclarations` in class `StyleWithPropertiesConverterHelper`
Parameters:
  `sIndent` - a String of spaces to add before each line

### getStyles

public OfficeStyleFamily getStyles()
Get the family of text (character) styles

Specified by:
  `getStyles` in class `StyleConverterHelper`
Returns:
  the style family

### getDefaultTagName

public String getDefaultTagName(StyleWithProperties style)
Create default tag name to represent a text

Specified by:
  `getDefaultTagName` in class `StyleWithPropertiesConverterHelper`
Parameters:
  `style` - to use
Returns:
  the tag name.

### applyProperties

public void applyProperties(StyleWithProperties style, CSVList props, boolean bInherit)
Convert formatting properties for a specific text style.

Specified by:
  `applyProperties` in class `StyleWithPropertiesConverterHelper`
Parameters:
  `style` - the style to convert
  `props` - the `CSVList` object to add information to
  `bInherit` - true if properties should be inherited from parent style(s)

### cssText

public void cssText(StyleWithProperties style, CSVList props, boolean bInherit)

### cssTextCommon

public void cssTextCommon(StyleWithProperties style, CSVList props, boolean bInherit)

### cssTextBackground

public void cssTextBackground(StyleWithProperties style, CSVList props, boolean bInherit)